TPUT(1)

NAME
tput - terminal capability interface

SYNOPSIS
tput [-T term] attribute [attribute-args] ...
tput [-T term] -S

DESCRIPTION
The tput utility makes terminal-dependent information available to users or shell applications.

The options are as follows:

-S  The attributes are read from stdin instead of the command line.

-T  The terminal name as found in the terminfo database; for example, “vt100” or “xterm”. If not specified, tput retrieves the TERM variable from the environment.

tput outputs a string if the attribute is of type string or a number if it is of type integer. If the attribute is of type boolean, tput exits 0 if the terminal has the capability or 1 if it does not. Each attribute should be a string defined in either terminfo(5) or termcap(5).

If the attribute is of type string and takes arguments (e.g., cursor movement, the terminfo “cup” sequence) the arguments are taken from the command line immediately following the attribute.

The following special attributes are available:

clear
    Clear the screen (the terminfo “clear” sequence).

init
    Print the terminfo initialization strings for the specified terminal.

longname
    Print the descriptive name of the user's terminal type.

reset
    Reset the terminal (using the terminfo reset sequences).

ENVIRONMENT

TERM
    Determine the terminal type.

EXIT STATUS
The exit value of tput is based on the last attribute specified. If the attribute is of type string or of type integer the exit value is as follows:

0   The requested string was written successfully.
2   Usage error.
3   Unknown terminal type.
4   Unknown attribute name.
>4  An error occurred.

If the attribute is of type boolean, tput exits with a value of 0 if the terminal has this attribute or 1 if it does not.

EXAMPLES
Clear the screen and go to line 5 column 10:

    $ tput clear cup 5 10

Go to line 6 column 11 and delete 6 characters:

    $ tput cup 6 11 dch 6

SEE ALSO
terminfo(3), terminfo(5)

STANDARDS
The tput utility is compliant with the p1003.1-2008 specification.

The flag [-S] and the attribute longname are extensions to that specification.

HISTORY
A clear utility implementing the functionality of tput clear first appeared in 2BSD. The tput utility appeared in 4.4BSD.

BUGS
tput can't really distinguish between different types of attributes.